--called at the start of a game, makes the objects in question
function initHost()
	--randomize placement of the asteroid
	ax = terrain.x + math.random(0, terrain.wid)
	ay = terrain.y + math.random(0, terrain.het)

	--create the asteroid and bump it
	stage.createShip("Asteroid11", "", ax,ay,0)
	ship.spin = 2 * (math.random() - .5)
	ship.bump(math.random(0,359), math.random(500, 3000))
	
	terrain.callWithin = 0--skip calling the within function
	terrain.callUpdate = 0--skip calling the update function	
	return 0
end

--called (by the host) every loop
function updateHost()
	return 0
end

--called (by the host) when a ship is inside this terrain tile
function shipWithin()
	return 0
end

--sets the editor/minimap display icon and color
function setIcon()
	icon.frame = 20	--from map_icons.png, which frame to use.
	icon.color = 1	--blue
	return 0
end